opensdr_check_var(OPENSDR_QT_ADDONS_DIR)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

find_package(Qt5Widgets REQUIRED)
find_package(Qt5PrintSupport REQUIRED)
find_package(Qt5Svg REQUIRED)
find_package(Qt5Multimedia REQUIRED)

file(GLOB_RECURSE OPENSDR_QT_ADDONS_HEADERS
    "${OPENSDR_QT_ADDONS_DIR}/*.h"
)

file(GLOB_RECURSE OPENSDR_QT_ADDONS_SOURCES
    "${OPENSDR_QT_ADDONS_DIR}/*.c"
    "${OPENSDR_QT_ADDONS_DIR}/*.cpp"
    "${OPENSDR_QT_ADDONS_DIR}/*.ui"
    "${OPENSDR_QT_ADDONS_DIR}/*.qrc"
)

set(OPENSDR_QT_ADDONS_INCLUDES "${OPENSDR_QT_ADDONS_DIR}/global")
set(OPENSDR_QT_ADDONS_LIBS Qt5::Widgets Qt5::PrintSupport Qt5::Svg Qt5::Multimedia)

opensdr_dev_var(OPENSDR_QT_ADDONS_INCLUDES OPENSDR_QT_ADDONS_HEADERS OPENSDR_QT_ADDONS_SOURCES OPENSDR_QT_ADDONS_LIBS)
